ご教示ありがとうございます。

不具合発生後、混在ありそうなところのパス、全部消しました。

# ll /usr/local/lib/perl5/site_perl/
total 2
drwxr-xr-x  26 root  wheel  1024 Jul  9 02:55 5.8.8

よろしくお願いします。
----------------------------------------------
Hong Chen - Digital Library - www.digilib.org
----------------------------------------------

----- Original Message ----- 
From: "Dobashi.M" <[EMAIL PROTECTED]>
To: <FreeBSD-users-jp@jp.FreeBSD.org>
Sent: Sunday, July 09, 2006 5:59 PM
Subject: [FreeBSD-users-jp 89722] Re: FreeBSD 6.1R へアップグレードで Perl
の不具合


| At Sun, 9 Jul 2006 12:19:29 +0900,
| Hong Chen wrote:
| > Can't locate loadable object for module Digest::SHA1 in @INC (@INC
contains:
|
| 少し前に当方でも portupgrade後に以下の様な httpd-error.* がありました。
|
| Can't locate jcode.pl in @INC (@INC contains: \
| /usr/local/share/htmllint/html/ . /usr/local/share/htmllint/rule/ \
| /usr/local/share/htmllint/rule /usr/local/share/htmllint \
| /usr/local/lib/perl5/5.8.8/BSDPAN \
| /usr/local/lib/perl5/site_perl/5.8.8/mach \
| /usr/local/lib/perl5/site_perl/5.8.8 /usr/local/lib/perl5/site_perl \
| /usr/local/lib/perl5/5.8.8/mach /usr/local/lib/perl5/5.8.8 .) at ...
|
| ja-p5-Jcode-2.03 は @pkgdep perl-5.8.8 なのにタイミングのせいでか
| (pkg-plist   %%WRAPPER%%%%SITE_PERL%%/Jcode.pm)
| ...lib/perl5/site_perl/5.8.7/Jcode.pm でした。
| .../5.8.8/Jcode.pm にコピーしてOKとなりました。
|
| .../5.8.7/...と.../5.8.8/...が混在してはいないでしょうか?
|
|                        /  Name : Dobashi Mitsuyoshi  /
|                       / E-mail : [EMAIL PROTECTED] /
|

メールによる返信